using System.Web.Mvc;

namespace SelectPdf.Samples.Controllers
{
    public class PartialConversionController : Controller
    {
        // GET: PartialConversion
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult SubmitAction(FormCollection collection)
        {
            // instantiate a html to pdf converter object
            HtmlToPdf converter = new HtmlToPdf();

            // specify the id of the section that will be converted to pdf
            if (!string.IsNullOrEmpty(collection["TxtElements"]))
            {
                converter.Options.VisibleWebElementId = collection["TxtElements"];
            }

            // create a new pdf document converting an url
            PdfDocument doc = converter.ConvertUrl(collection["TxtUrl"]);

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}